#ifndef __mx_account_h__
#define __mx_account_h__

#include "vars.h"


long account_calls(CVars in, CVars &out);

long LoginWrenchBoardFamilyLogin(CVars in, CVars &out);
long WrenchBoardCreateFamilyAcc(CVars in, CVars &out);

long LoginWrenchPromoAccount( CVars in, CVars &out );

long LoginWrenchBoardAccount( CVars in, CVars &out );
long LoginWrenchBoardSetDashType(CVars in, CVars &out);
long LoginWrenchBoardFacebook( CVars in, CVars &out );
long LoginWrenchBoardGoogle( CVars in, CVars &out );
long LoginWrenchBoardApple( CVars in, CVars &out );
long LoginWrenchBoardExternal( CVars in, CVars &out );
long SessionCheck(long uid, const char *sessionid, int create );
long account_session_check(CVars in, CVars out);
long VerifySession(CVars in, CVars &out);
long CompleteAddCustomerBalance(CVars in, CVars &out);
long InitiateAddCustomerBalance(CVars in, CVars &out);
long DeliverMobilseEtisalat(CVars in, CVars &out);
long GateDeliverMobilseEtisalat(CVars in, CVars &out);
long ETSL_configure(CVars in, CVars &out);
long AddMobileTopuNumber(CVars in, CVars &out);
long WrenchSendRefer(CVars in, CVars &out);
long WrenchSendReferLoadLink(CVars in, CVars &out);
long LogManagerAction(CVars in, CVars &out);
long WrenchUpdateProfile(CVars in, CVars &out);
long WrenchUpdateAccountTerms(CVars in, CVars &out);
long WrenchUpdateAccountDescription(CVars in, CVars &out);
long WrenchMyPageIntro(CVars in, CVars &out);
long WrenchMyPage(CVars in, CVars &out);

long LogWrenchBoardMember(CVars in, CVars &out);

long WrenchResetMemberPass(CVars in, CVars &out);


long WrenchResetPass(CVars in, CVars &out);
long WrenchSaveSkill(CVars in, CVars &out);
long WrenchDeleteSaveSkill(CVars in, CVars &out);
long WrenchUpdateSiteGallery(CVars in, CVars &out);
long WrenchReturnStartJobList(CVars in, CVars &out);
long WrenchLoadDashData(CVars in, CVars &out);

long  LoginLogger( long member_id, long login_mode);
long  WrenchBoardMobileSendMoney(CVars in, CVars &out);
long  WrenchBoardMobileSendJobInterest(CVars in, CVars &out);
long  WrenchReturnPendingJobList(CVars in, CVars &out);
long  WrenchBoardMobileSendUserWallet(CVars in, CVars &out);
long  WrenchBoardStartBalanceTopup(CVars in, CVars &out);
long  WrenchBoardCompleteBalanceTopup(CVars in, CVars &out);
long  WrenchResendSendReferLoadLink(CVars in, CVars &out);
long  WrenchBoardDeleteAccount(CVars in, CVars &out);
long  VerifyWrenchAccountLink(CVars in, CVars &out);
long  LoginWrenchBoardAuxAccount(CVars in, CVars &out);
long  WrenchDeleteUsersCCard(CVars in, CVars &out);
long  WrenchFlutterCreditHook(CVars in, CVars &out);
long  WrenchBoardTopupResult(CVars in, CVars &out);
long  WrenchRegisterMyFileUpload(CVars in, CVars &out);
long  WrenchSignUpCountry(CVars in, CVars &out);
long  WrenchGetRecentDash(CVars in, CVars &out);
long  LoginWrenchBoardQRAccount(CVars in, CVars &out);
long  WrenchBoardFamilyAccMemberID(CVars in, CVars &out);

#endif

